<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE fabrica [
  <!ELEMENT fabrica (motores+, empleados+)>
  <!ELEMENT motores (motor+)>
  <!ELEMENT motor (piezas+, seccion?)>
  <!ATTLIST motor codigo ID #REQUIRED>
  <!ELEMENT piezas (nombrePieza, otrasPiezas*)>
  <!ELEMENT nombrePieza (#PCDATA)>
  <!ELEMENT otrasPiezas (#PCDATA)>
  <!ELEMENT seccion (#PCDATA)>
  <!ATTLIST seccion motor IDREFS #REQUIRED>
  <!ELEMENT empleados (responsable, empleado+)>
  <!ELEMENT responsable (#PCDATA)>
  <!ELEMENT empleado (nombreEmpleado, familiar)>
  <!ATTLIST empleado idmotor IDREFS #REQUIRED>
  <!ELEMENT nombreEmpleado (#PCDATA)>
  <!ELEMENT familiar (#PCDATA)>
]>

<fabrica>
<motores>
<motor codigo="M1">
<piezas>
<nombrePieza> Manguito </nombrePieza>
<otrasPiezas> Tubo de plastico </otrasPiezas>
<otrasPiezas> Tapon de plastico </otrasPiezas>
</piezas>
<piezas>
<nombrePieza> Valvula </nombrePieza>
</piezas>
<seccion motor="M1"> Montaje </seccion>
</motor>
<motor codigo="M2">
      <piezas>
        <nombrePieza> Cilindro </nombrePieza>
      </piezas>
      <seccion motor="M2"> Fabricacion </seccion>
    </motor>
  </motores>

  <empleados>
    <responsable> Miguel Fernandez </responsable>
    <empleado idmotor="M1 M2">
      <nombreEmpleado> Jose Luis </nombreEmpleado>
      <familiar> Antonio Perez </familiar>
    </empleado>
  </empleados>
</fabrica>
